Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.types
Interface PropertyHolder

All Known Implementing Classes:
  StringSpan, Token

    public interface PropertyHolder

Author: saunders Created Nov 15, 2005 Copyright (C) Univ. of Massachusetts Amherst, Computer Science Dept.

Method Summary
`PropertyList` | `getFeatures()`
`double` | `getFeatureValue(java.lang.String key)`
`double` | `getNumericProperty(java.lang.String key)`
`PropertyList` | `getProperties()`
`java.lang.Object` | `getProperty(java.lang.String key)`
`boolean` | `hasProperty(java.lang.String key)`
`void` | `setFeatures(PropertyList pl)`
`void` | `setFeatureValue(java.lang.String key, double value)`
`void` | `setNumericProperty(java.lang.String key, double value)`
`void` | `setProperties(PropertyList newProperties)`
`void` | `setProperty(java.lang.String key, java.lang.Object value)`
`FeatureVector` | `toFeatureVector(Alphabet dict, boolean binary)`

Method Detail

### setProperty

    void setProperty(java.lang.String key,
                     java.lang.Object value)

### getProperty

    java.lang.Object getProperty(java.lang.String key)

### setNumericProperty

    void setNumericProperty(java.lang.String key,
                            double value)

### getNumericProperty

    double getNumericProperty(java.lang.String key)

### getProperties

    PropertyList getProperties()

### setProperties

    void setProperties(PropertyList newProperties)

### hasProperty

    boolean hasProperty(java.lang.String key)

### setFeatureValue

    void setFeatureValue(java.lang.String key,
                         double value)

### getFeatureValue

    double getFeatureValue(java.lang.String key)

### getFeatures

    PropertyList getFeatures()

### setFeatures

    void setFeatures(PropertyList pl)

### toFeatureVector

    FeatureVector toFeatureVector(Alphabet dict,
                                  boolean binary)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD